Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 0

Name:       nodejs-vhost
Version:    3.0.2
Release:    alt1_5
Summary:    Virtual domain hosting middleware for Node.js and Connect
License:    MIT
URL:        https://github.com/expressjs/vhost
Source0:    https://github.com/expressjs/vhost/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:  noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  mocha
#BuildRequires:  npm(connect)
#BuildRequires:  npm(should)
BuildRequires:  npm(supertest)
%endif
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n vhost-%{version}



%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/vhost
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/vhost

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

%if 0%{?enable_tests}
mocha --reporter spec --check-leaks test/
%endif


%files
%doc README.md HISTORY.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/vhost


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.2-alt1_5
- new version

